### Enumeration

# Qmi NasVoiceDomainPreference

since: 1.24

#### Declaration

    enum Qmi.NasVoiceDomainPreference

#### Description [src]

Voice domain preference.

Available since: 1.24

#### Members

`QMI_NAS_VOICE_DOMAIN_PREFERENCE_CS_ONLY`

  Circuit-switched voice only.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_VOICE_DOMAIN_PREFERENCE_PS_ONLY`

  Packet-switched voice only.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_VOICE_DOMAIN_PREFERENCE_CS_PREFERRED`

  Circuit-switched voice is preferred.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_VOICE_DOMAIN_PREFERENCE_PS_PREFERRED`

  Packet-switched voice is preferred.

  - Value: `3`
  - Available since: 1.24

#### Type functions

###### qmi_nas_voice_domain_preference_get_string

Gets the nickname string for the `QmiNasVoiceDomainPreference` specified at `val`.

since: 1.24